export declare const useHeader: () => {
    onLeftIconPress: () => void;
    onXPress: () => void;
    containerRef: import("react").RefObject<HTMLDivElement | null>;
    wagmiConfig: import("@tanstack/react-query").UseQueryResult<{
        evmConfig: import("../../../types/utils").GetEitherAsyncRight<ReturnType<typeof import("../../../providers/ethereum/config").getConfig>>;
        cosmosConfig: import("../../../types/utils").GetEitherAsyncRight<ReturnType<typeof import("../../../providers/cosmos/config").getConfig>>;
        miscConfig: import("../../../types/utils").GetEitherAsyncRight<ReturnType<typeof import("../../../providers/misc/config").getConfig>>;
        substrateConfig: import("../../../types/utils").GetEitherAsyncRight<ReturnType<typeof import("../../../providers/substrate/config").getConfig>>;
        wagmiConfig: ReturnType<typeof import("wagmi").createConfig>;
        queryParamsInitChainId: number | undefined;
    }, Error>;
    variant: "default" | "zerion" | "utila" | "finery" | "porto";
    hideChainSelector: boolean | undefined;
    isConnected: boolean;
    isConnecting: boolean;
    showDisconnect: boolean;
    showBack: boolean;
    hideAccountAndChainSelector: boolean | undefined;
};
